KIO::MetaData Class Reference

`#include <global.h>`

Inherits QMap< T, K >.

## Public Member Functions

| MetaData ()
| MetaData (const QMap< QString, QString > &metaData)
MetaData & | operator+= (const QMap< QString, QString > &metaData)

## Detailed Description

MetaData is a simple map of key/value strings.

Definition at line 512 of file global.h.

## Constructor & Destructor Documentation

KIO::MetaData::MetaData | ( |  | ) |

inline

Creates an empty meta data map.

Definition at line 518 of file global.h.

KIO::MetaData::MetaData | ( | const QMap< QString, QString > & | metaData | ) |

inline

Copy constructor.

Definition at line 522 of file global.h.

## Member Function Documentation

MetaData& KIO::MetaData::operator+= | ( | const QMap< QString, QString > & | metaData | ) |

inline

Adds the given meta data map to this map.

Parameters

  metaData | the map to add

Returns
  this map

Definition at line 530 of file global.h.

The documentation for this class was generated from the following file:

- global.h

KDE Home | KDE Accessibility Home | Description of Access Keys